summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/fedora/rpm/build.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/contrib/fedora/rpm/build.sh b/contrib/fedora/rpm/build.sh
index 34ec42943e..b7674cc8c5 100755
--- a/contrib/fedora/rpm/build.sh
+++ b/contrib/fedora/rpm/build.sh
@@ -210,7 +210,10 @@ ls -dla \
"$TEMP_LATEST"/SRPMS/*.rpm \
2>/dev/null | sed 's/^/ /'
LOG
-if [[ "$BUILDTYPE" != "SRPM" ]]; then
+if [[ "$BUILDTYPE" == "SRPM" ]]; then
+ LOG sudo $(which dnf &>/dev/null && echo dnf builddep || echo yum-builddep) $TEMP_LATEST/SRPMS/*.src.rpm
+ LOG
+else
LOG "sudo $(which dnf &>/dev/null && echo dnf || echo yum) install '$TEMP_LATEST/RPMS'/*/*.rpm"
LOG
fi